Bug 105382 - File name is percent-encoded when minimize presentation on Impress
Summary: File name is percent-encoded when minimize presentation on Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Takeshi Abe
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-17 08:50 UTC by tadanet3
Modified: 2017-01-30 15:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
procedure (446.65 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2017-01-17 08:50 UTC, tadanet3
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tadanet3 2017-01-17 08:50:16 UTC
Created attachment 130489 [details]
procedure

Hellow,

I use
Version: 5.2.2.2
Build ID: 1:5.2.2-0ubuntu2
CPU Threads: 2; OS Version: Linux 4.8; UI Render: default; 
Locale: ja-JP (ja_JP.UTF-8); Calc: group

on Impress
1. Create New presentation file
2. Seve to multibyte character file name
   e.g. "リブレ.odp"
3. minimize presentation
4. Default file name is percent-encoded
   e.g. "%E3%83%AA%E3%83%96%E3%83%AC.mini"

singlebyte character file name isn't reproduced.
   e.g. libre.odp -> libre.mini.odp

For more detaile procedure, please see the attached file.
Comment 1 tadanet3 2017-01-17 08:54:00 UTC
>singlebyte character file name isn't reproduced.
>   e.g. libre.odp -> libre.mini.odp
singlebyte character file name isn't reproduced.
   e.g. libre.odp -> libre.mini
Comment 2 baffclan 2017-01-17 12:06:08 UTC
Reproduce with LibO-dev master/Windows 10

OS: Windows10 Pro(x64)
Version: 5.4.0.0.alpha0+
Build ID: ac2105e77795970e9131092caae78fd42c86f6d9
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-01-16_23:47:13
Locale: en-US (ja_JP); Calc: group
Comment 3 Takeshi Abe 2017-01-18 03:22:23 UTC
Reproduced the behavior on LibO 5.2.4 on Debian jessie.
Comment 4 Commit Notification 2017-01-24 13:24:04 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8aa4503966e2c8882c238a1a30c05b72bdf6f68

tdf#105382 Set URL-decoded default filename for minimized presentation

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-25 20:34:42 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcd89d24f0837f85a359f2630981d985a9811d86&h=libreoffice-5-3

tdf#105382 Set URL-decoded default filename for minimized presentation

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Shinji Enoki 2017-01-26 01:51:26 UTC
I tried it in the following environment. I think this bug has been fixed.


OS: Debian jessie
Version: 5.4.0.0.alpha0+
Build ID: 1337932c038d0a0f689e59de7c8ffd272dbdafa4
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; VCL: gtk3; 
Locale: ja-JP (ja_JP.utf8); Calc: group